# $Revision: 1.11 $, $Date: 2005/09/06 20:32:59 $
Summary:	ProjectCenter - the GNUstep IDE
Summary(pl):	ProjectCenter - IDE dla rodowiska GNUstep
Name:		ProjectCenter
Version:	0.4.2
Release:	2
License:	GPL
Group:		X11/Development/Tools
Source0:	ftp://ftp.gnustep.org/pub/gnustep/dev-apps/%{name}-%{version}.tar.gz
# Source0-md5:	62749396daf23a5e459e165808a36ce4
Patch0:		%{name}-link.patch
Patch1:		%{name}-version-%{version}.patch
URL:		http://www.gnustep.org/experience/ProjectCenter.html
BuildRequires:	gnustep-gui-devel >= 0.8.9
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_prefix		/usr/%{_lib}/GNUstep

%define		libcombo	gnu-gnu-gnu
%define		gsos		linux-gnu
%ifarch %{ix86}
%define		gscpu		ix86
%else
# also s/alpha.*/alpha/, but we use only "alpha" arch for now
%define		gscpu		%(echo %{_target_cpu} | sed -e 's/amd64/x86_64/;s/ppc/powerpc/')
%endif

%description
This is ProjectCenter, the GNUstep IDE (Integrated Development
Environment) which is part of the GNUstep project.

%description -l pl
To jest ProjectCenter - IDE (Integrated Development Environment -
zintegrowane rodowisko programisty) dla GNUstepa, bdce czci
projektu GNUstep.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
. %{_prefix}/System/Library/Makefiles/GNUstep.sh
%{__make} \
	OPTFLAG="%{rpmcflags}" \
	messages=yes

%install
rm -rf $RPM_BUILD_ROOT
. %{_prefix}/System/Library/Makefiles/GNUstep.sh

%{__make} install \
	GNUSTEP_INSTALLATION_DIR=$RPM_BUILD_ROOT%{_prefix}/System

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc Documentation/{ANNOUNCE,AUTHORS,ChangeLog*,README*,TODO}

%dir %{_prefix}/System/Applications/ProjectCenter.app
%attr(755,root,root) %{_prefix}/System/Applications/ProjectCenter.app/ProjectCenter
%dir %{_prefix}/System/Applications/ProjectCenter.app/Resources
%{_prefix}/System/Applications/ProjectCenter.app/Resources/*.desktop
%{_prefix}/System/Applications/ProjectCenter.app/Resources/*.gorm
%{_prefix}/System/Applications/ProjectCenter.app/Resources/*.plist
%{_prefix}/System/Applications/ProjectCenter.app/Resources/*.tiff
%dir %{_prefix}/System/Applications/ProjectCenter.app/Resources/*.bundle
%{_prefix}/System/Applications/ProjectCenter.app/Resources/*.bundle/Resources
%attr(755,root,root) %{_prefix}/System/Applications/ProjectCenter.app/Resources/*.bundle/%{gscpu}
%dir %{_prefix}/System/Applications/ProjectCenter.app/%{gscpu}
%dir %{_prefix}/System/Applications/ProjectCenter.app/%{gscpu}/%{gsos}
%dir %{_prefix}/System/Applications/ProjectCenter.app/%{gscpu}/%{gsos}/%{libcombo}
%attr(755,root,root) %{_prefix}/System/Applications/ProjectCenter.app/%{gscpu}/%{gsos}/%{libcombo}/ProjectCenter
%{_prefix}/System/Applications/ProjectCenter.app/%{gscpu}/%{gsos}/%{libcombo}/*.openapp

%dir %{_prefix}/System/Library/Frameworks/ProjectCenter.framework
%dir %{_prefix}/System/Library/Frameworks/ProjectCenter.framework/Versions
%{_prefix}/System/Library/Frameworks/ProjectCenter.framework/Versions/Current
%dir %{_prefix}/System/Library/Frameworks/ProjectCenter.framework/Versions/%{version}
%{_prefix}/System/Library/Frameworks/ProjectCenter.framework/Versions/%{version}/Headers
%{_prefix}/System/Library/Frameworks/ProjectCenter.framework/Versions/%{version}/Resources
%attr(755,root,root) %{_prefix}/System/Library/Frameworks/ProjectCenter.framework/Versions/%{version}/%{gscpu}

%{_prefix}/System/Library/Headers/%{libcombo}/ProjectCenter

%{_prefix}/System/Library/Libraries/%{gscpu}/%{gsos}/%{libcombo}/lib*.so*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ProjectCenter.spec,v $
Revision 1.11  2005/09/06 20:32:59  arekm
- rel 2

Revision 1.10  2005/02/02 12:14:59  pawelb
- up to 0.4.2
- added ProjectCenter-version-0.4.2.patch

Revision 1.9  2004/11/07 21:47:37  havner
- [mass commit] rel up for rebuild

Revision 1.8  2004/10/31 21:20:04  paladine
- spaces->tabs
- formatting

Revision 1.7  2004/10/01 00:45:38  aredridel
- rel 2 for rebuild

Revision 1.6  2004/07/04 20:05:06  qboosh
- updated to 0.4.0, added link patch

Revision 1.5  2003/10/24 17:52:39  qboosh
- updated to 0.3.6, removed obsolete update patch

Revision 1.4  2003/10/12 12:22:01  qboosh
- updated Headers dir
- added update patch for new gnustep-gui Headers structure (needed by -Werror)
- removed gnustep-extensions-devel from BR (not required)

Revision 1.3  2003/07/29 08:20:10  qboosh
- updated URL

Revision 1.2  2003/07/28 22:04:27  qboosh
- URL

Revision 1.1  2003/07/28 19:03:31  qboosh
- new - but crashes on almost every option...
